diff --git a/game/core/src/main/java/net/minecraft/core/world/World.java b/game/core/src/main/java/net/minecraft/core/world/World.java
index b347c3cf2..13fda2270 100644
--- a/game/core/src/main/java/net/minecraft/core/world/World.java
+++ b/game/core/src/main/java/net/minecraft/core/world/World.java
@@ -1731,22 +1693,22 @@ public class World implements MutableWorldSource {
         return false;
     }
 
-    public boolean isAABBInMaterial(@NotNull AABBdc aabb, @NotNull Material material) {
-        int minX = MathHelper.floor(aabb.minX());
-        int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
-        int minY = MathHelper.floor(aabb.minY());
-        int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
-        int minZ = MathHelper.floor(aabb.minZ());
-        int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
-        TilePos tilePos = new TilePos(0, 0, 0);
+    public boolean isAABBInMaterial(@NotNull final AABBdc aabb, @NotNull final Material material) {
+        final int minX = MathHelper.floor(aabb.minX());
+        final int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
+        final int minY = MathHelper.floor(aabb.minY());
+        final int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
+        final int minZ = MathHelper.floor(aabb.minZ());
+        final int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
+        final TilePos tilePos = new TilePos(0, 0, 0);
         for (tilePos.x = minX; tilePos.x < maxX; tilePos.x++) {
             for (tilePos.y = minY; tilePos.y < maxY; tilePos.y++) {
                 for (tilePos.z = minZ; tilePos.z < maxZ; tilePos.z++) {
-                    final @NotNull Block<?> block = getBlockType(tilePos);
+                    final @NotNull Block<?> block = this.getBlockType(tilePos);
                     if (block.getMaterial() != material) {
                         continue;
                     }
-                    int j2 = getBlockData(tilePos);
+                    final int j2 = this.getBlockData(tilePos);
                     double d = tilePos.y + 1;
                     if (j2 < 8) {
                         d = (double) (tilePos.y + 1) - (double) j2 / 8D;
@@ -1763,12 +1725,12 @@ public class World implements MutableWorldSource {
         return false;
     }
 
-    public Explosion createExplosion(Entity entity, double x, double y, double z, float explosionSize) {
-        return createExplosion(entity, x, y, z, explosionSize, false, false);
+    public Explosion createExplosion(final Entity entity, final double x, final double y, final double z, final float explosionSize) {
+        return this.createExplosion(entity, x, y, z, explosionSize, false, false);
     }
 
-    public Explosion createExplosion(Entity entity, double x, double y, double z, float explosionSize, boolean flaming, boolean isCannonBall) {
-        Explosion explosion;
+    public Explosion createExplosion(final Entity entity, final double x, final double y, final double z, final float explosionSize, final boolean flaming, final boolean isCannonBall) {
+        final Explosion explosion;
         if (!isCannonBall)
             explosion = new Explosion(this, entity, x, y, z, explosionSize);
         else
@@ -1779,20 +1741,20 @@ public class World implements MutableWorldSource {
         return explosion;
     }
 
-    public float getSeenPercent(@NotNull Vector3dc eyePos, @NotNull AABBdc aabb) {
-        double d = 1.0D / ((aabb.maxX() - aabb.minX()) * 2D + 1.0D);
-        double d1 = 1.0D / ((aabb.maxY() - aabb.minY()) * 2D + 1.0D);
-        double d2 = 1.0D / ((aabb.maxZ() - aabb.minZ()) * 2D + 1.0D);
+    public float getSeenPercent(@NotNull final Vector3dc eyePos, @NotNull final AABBdc aabb) {
+        final double d = 1.0D / ((aabb.maxX() - aabb.minX()) * 2D + 1.0D);
+        final double d1 = 1.0D / ((aabb.maxY() - aabb.minY()) * 2D + 1.0D);
+        final double d2 = 1.0D / ((aabb.maxZ() - aabb.minZ()) * 2D + 1.0D);
         int i = 0;
         int j = 0;
-        Vector3d entCheckPos = new Vector3d();
+        final Vector3d entCheckPos = new Vector3d();
         for (float f = 0.0F; f <= 1.0F; f = (float) ((double) f + d)) {
             for (float f1 = 0.0F; f1 <= 1.0F; f1 = (float) ((double) f1 + d1)) {
                 for (float f2 = 0.0F; f2 <= 1.0F; f2 = (float) ((double) f2 + d2)) {
-                    double x = aabb.minX() + (aabb.maxX() - aabb.minX()) * (double) f;
-                    double y = aabb.minY() + (aabb.maxY() - aabb.minY()) * (double) f1;
-                    double z = aabb.minZ() + (aabb.maxZ() - aabb.minZ()) * (double) f2;
-                    if (checkBlockCollisionBetweenPoints(eyePos, entCheckPos.set(x, y, z)) == null) {
+                    final double x = aabb.minX() + (aabb.maxX() - aabb.minX()) * (double) f;
+                    final double y = aabb.minY() + (aabb.maxY() - aabb.minY()) * (double) f1;
+                    final double z = aabb.minZ() + (aabb.maxZ() - aabb.minZ()) * (double) f2;
+                    if (this.checkBlockCollisionBetweenPoints(eyePos, entCheckPos.set(x, y, z)) == null) {
                         i++;
                     }
                     j++;
@@ -1820,9 +1782,9 @@ public class World implements MutableWorldSource {
         this.onBlockHit(player, new TilePos(x, y, z), side);
     }
 
-    public @Nullable Entity getEntityByID(int id) {
+    public @Nullable Entity getEntityByID(final int id) {
         for (int i = 0; i < this.entities.size(); i++) {
-            Entity entity = this.entities.get(i);
+            final Entity entity = this.entities.get(i);
             if (entity.id == id) {
                 return entity;
             }
@@ -1913,8 +1875,8 @@ public class World implements MutableWorldSource {
     public void onUnload() {
         // Unloads all entities
         try {
-            updateEntities();
-        } catch (Throwable t) {
+            this.updateEntities();
+        } catch (final Throwable t) {
             LOGGER.error("Unhandled exception while unloading all entities!", t);
             throw t;
         } finally {
@@ -1927,8 +1889,8 @@ public class World implements MutableWorldSource {
         this.chunkProvider.close();
     }
 
-    public void saveWorldIndirectly(ProgressListener iprogressupdate) {
-        saveWorld(true, iprogressupdate, true);
+    public void saveWorldIndirectly(final ProgressListener iprogressupdate) {
+        this.saveWorld(true, iprogressupdate, true);
     }
 
     public boolean updatingLighting() {
@@ -1961,29 +1923,29 @@ public class World implements MutableWorldSource {
     }
 
     public void updateSkyBrightness() {
-        int i = this.worldType.getSkyDarken(this, getWorldTime(), 1.0F);
+        final int i = this.getWorldType().getSkyDarken(this, this.getWorldTime(), 1.0F);
         if (i != this.skyDarken) {
             this.skyDarken = i;
         }
     }
 
-    public void allChanged(boolean lightChanged, boolean seasonChanged) {
+    public void allChanged(final boolean lightChanged, final boolean seasonChanged) {
         for (int i = 0; i < this.listeners.size(); i++) {
             this.listeners.get(i).allChanged(lightChanged, seasonChanged);
         }
     }
 
     protected void updateSleepingPlayers() {
-        if (areEnoughPlayersFullyAsleep()) {
+        if (this.areEnoughPlayersFullyAsleep()) {
             boolean wasInterrupted = false;
-            if (getSpawnerConfig().canHostileSpawn(this) && getPlayersRequiredToSkipNight() <= 1) {
+            if (this.getSpawnerConfig().canHostileSpawn(this) && this.getPlayersRequiredToSkipNight() <= 1) {
                 wasInterrupted = SpawnerMobs.performSleepSpawning(this, this.players);
             }
             if (!wasInterrupted) {
-                long timePlusOneDay = this.levelData.getWorldTime() + Global.DAY_LENGTH_TICKS;
-                this.levelData.setWorldTime(timePlusOneDay - timePlusOneDay % Global.DAY_LENGTH_TICKS + this.worldType.getSunriseTick(this) + DAY_LENGTH_TICKS / 24);
+                final long timePlusOneDay = this.levelData.getWorldTime() + Global.DAY_LENGTH_TICKS;
+                this.levelData.setWorldTime(timePlusOneDay - timePlusOneDay % Global.DAY_LENGTH_TICKS + this.getWorldType().getSunriseTick(this) + DAY_LENGTH_TICKS / 24);
 
-                wakeUpAllPlayers();
+                this.wakeUpAllPlayers();
             }
         }
     }
@@ -1994,34 +1956,34 @@ public class World implements MutableWorldSource {
         Debug.change("weather");
         this.weatherManager.tick();
         Debug.change("misc");
-        updateSleepingPlayers();
+        this.updateSleepingPlayers();
         Debug.change("spawning");
         // TODO mob spawning seems to be the cause of many lag spikes, specifically the checks for is a mob is allowed to spawn at a certain xyz position seem to be the worst offenders
-        SpawnerMobs.performSpawning(this, getSpawnerConfig());
+        SpawnerMobs.performSpawning(this, this.getSpawnerConfig());
         Debug.change("chunk");
         this.chunkProvider.tick();
 
         Debug.change("autosave");
-        int autosaveTimeInSeconds = Global.accessor.getAutosaveTimer();
-        int autosaveTimeInTicks = (autosaveTimeInSeconds * 20);
+        final int autosaveTimeInSeconds = Global.accessor.getAutosaveTimer();
+        final int autosaveTimeInTicks = (autosaveTimeInSeconds * 20);
 
         AUTOSAVE = autosaveTimeInTicks != 0;
         if (AUTOSAVE && this.runtime % (long) autosaveTimeInTicks == 0L) {
-            saveWorld(false, null, true);
+            this.saveWorld(false, null, true);
         }
 
         Debug.change("misc");
-        if (getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
+        if (this.getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
             this.levelData.setWorldTime(this.levelData.getWorldTime() + 1L);
         }
 
         this.runtime++;
 
-        tickPendingTicks(false);
+        this.tickPendingTicks(false);
         Debug.change("blocks&cavesSounds");
-        updateBlocksAndPlayCaveSounds();
+        this.updateBlocksAndPlayCaveSounds();
         Debug.change("season&light");
-        updateSeasonAndLight();
+        this.updateSeasonAndLight();
         if (this.rainbowTicks > 0) {
             this.rainbowTicks--;
         }
@@ -2032,7 +1994,7 @@ public class World implements MutableWorldSource {
         boolean seasonChanged = false;
         boolean lightChanged = false;
 
-        int currentDayCount = ((int) (this.levelData.getWorldTime() / Global.DAY_LENGTH_TICKS));
+        final int currentDayCount = ((int) (this.levelData.getWorldTime() / Global.DAY_LENGTH_TICKS));
         if (currentDayCount != this.dayCountLastTick) {
             this.dayCountLastTick = currentDayCount;
             if (!this.isClientSide) {
@@ -2043,27 +2005,27 @@ public class World implements MutableWorldSource {
             seasonChanged = true;
         }
 
-        int currentSkyDarken = this.worldType.getSkyDarken(this, getWorldTime(), 1.0f);
+        final int currentSkyDarken = this.getWorldType().getSkyDarken(this, this.getWorldTime(), 1.0f);
         if (currentSkyDarken != this.skyDarken) {
             this.skyDarken = currentSkyDarken;
             lightChanged = true;
         }
 
         if (seasonChanged || lightChanged) {
-            allChanged(lightChanged, seasonChanged);
+            this.allChanged(lightChanged, seasonChanged);
         }
     }
 
     protected void updateBlocksAndPlayCaveSounds() {
         this.positionsToUpdate.clear();
         for (int i = 0; i < this.players.size(); i++) {
-            Player entityplayer = this.players.get(i);
-            int playerChunkX = MathHelper.floor(entityplayer.x / Chunk.CHUNK_SIZE_X);
-            int playerChunkZ = MathHelper.floor(entityplayer.z / Chunk.CHUNK_SIZE_Z);
-            byte radius = 9;
+            final Player entityplayer = this.players.get(i);
+            final int playerChunkX = MathHelper.floor(entityplayer.x / Chunk.CHUNK_SIZE_X);
+            final int playerChunkZ = MathHelper.floor(entityplayer.z / Chunk.CHUNK_SIZE_Z);
+            final byte radius = 9;
             for (int x = -radius; x <= radius; x++) {
                 for (int z = -radius; z <= radius; z++) {
-                    this.positionsToUpdate.add(new ChunkCoordinate(x + playerChunkX, z + playerChunkZ));
+                    this.positionsToUpdate.add(new ChunkPos(x + playerChunkX, z + playerChunkZ));
                 }
             }
         }
@@ -2071,49 +2033,49 @@ public class World implements MutableWorldSource {
         if (this.caveSoundCounter > 0) {
             this.caveSoundCounter--;
         }
-        final int randomTicks = getGameRuleValue(GameRules.RANDOM_TICK_SPEED);
-        for (ChunkCoordinate coordinate : this.positionsToUpdate) {
-            int chunkBlockX = coordinate.x * Chunk.CHUNK_SIZE_X;
-            int chunkBlockZ = coordinate.z * Chunk.CHUNK_SIZE_Z;
-            if (!isChunkLoaded(coordinate.x, coordinate.z)) {
+        final int randomTicks = this.getGameRuleValue(GameRules.RANDOM_TICK_SPEED);
+        for (final ChunkPosc chunkPos : this.positionsToUpdate) {
+            final int chunkBlockX = chunkPos.x() * Chunk.CHUNK_SIZE_X;
+            final int chunkBlockZ = chunkPos.z() * Chunk.CHUNK_SIZE_Z;
+            if (!this.isChunkLoaded(chunkPos)) {
                 continue;
             }
-            Chunk chunk = getChunkFromChunkCoords(coordinate.x, coordinate.z);
+            final Chunk chunk = this.getChunk(chunkPos);
             this.updateLCG = this.updateLCG * 3 + 0x3c6ef35f;
             int randVal = this.updateLCG >> 2;
             int blockX = randVal & (Chunk.CHUNK_SIZE_X - 1);
             int blockZ = (randVal / (Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (Chunk.CHUNK_SIZE_Z - 1);
 
             if (this.caveSoundCounter == 0) {
-                int blockY = (randVal / (HEIGHT_BLOCKS * Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (HEIGHT_BLOCKS - 1);
-                int id = chunk.getBlockID(blockX, blockY, blockZ);
+                final int blockY = (randVal / (HEIGHT_BLOCKS * Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (HEIGHT_BLOCKS - 1);
+                final int id = chunk.getBlockID(blockX, blockY, blockZ);
                 blockX += chunkBlockX;
                 blockZ += chunkBlockZ;
-                if (id == 0 && getFullBlockLightValue(blockX, blockY, blockZ) <= this.rand.nextInt(8) && getSavedLightValue(LightLayer.Sky, blockX, blockY, blockZ) <= 0) {
-                    Player closestPlayer = getClosestPlayer((double) blockX + 0.5D, (double) blockY + 0.5D, (double) blockZ + 0.5D, 8D);
+                if (id == 0 && this.getFullBlockLightValue(blockX, blockY, blockZ) <= this.rand.nextInt(8) && this.getSavedLightValue(LightLayer.Sky, blockX, blockY, blockZ) <= 0) {
+                    final Player closestPlayer = this.getClosestPlayer((double) blockX + 0.5D, (double) blockY + 0.5D, (double) blockZ + 0.5D, 8D);
                     if (closestPlayer != null && closestPlayer.distanceToSqr((double) blockX + 0.5D, (double) blockY + 0.5D, (double) blockZ + 0.5D) > 4D) {
-                        playSoundEffect(null, SoundCategory.CAVE_SOUNDS, (double) blockX + 0.5D, (double) blockY + 0.5D, (double) blockZ + 0.5D, "ambient.cave.cave", 0.7F, 0.8F + this.rand.nextFloat() * 0.2F);
+                        this.playSoundEffect(null, SoundCategory.CAVE_SOUNDS, (double) blockX + 0.5D, (double) blockY + 0.5D, (double) blockZ + 0.5D, "ambient.cave.cave", 0.7F, 0.8F + this.rand.nextFloat() * 0.2F);
                         this.caveSoundCounter = this.rand.nextInt(12000) + 6000;
                     }
                 }
             }
 
-            if (getCurrentWeather() != null) {
+            if (this.getCurrentWeather() != null) {
                 this.updateLCG = this.updateLCG * 3 + 0x3c6ef35f;
                 randVal = this.updateLCG >> 2;
-                int weatherBlockX = randVal & (Chunk.CHUNK_SIZE_X - 1);
-                int weatherBlockZ = (randVal / (Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (Chunk.CHUNK_SIZE_Z - 1);
-                getCurrentWeather().doEnvironmentUpdate(this, this.rand, chunkBlockX + weatherBlockX, chunkBlockZ + weatherBlockZ);
+                final int weatherBlockX = randVal & (Chunk.CHUNK_SIZE_X - 1);
+                final int weatherBlockZ = (randVal / (Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (Chunk.CHUNK_SIZE_Z - 1);
+                this.getCurrentWeather().doEnvironmentUpdate(this, this.rand, chunkBlockX + weatherBlockX, chunkBlockZ + weatherBlockZ);
             }
 
             for (int s = 0; s < Chunk.CHUNK_SECTIONS; s++) {
                 for (int i = 0; i < randomTicks; i++) {
                     this.updateLCG = this.updateLCG * 3 + 0x3c6ef35f;
-                    int iRandVal = this.updateLCG >> 2;
-                    int iBlockX = iRandVal & (Chunk.CHUNK_SIZE_X - 1);
-                    int iBlockZ = (iRandVal / (Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (Chunk.CHUNK_SIZE_Z - 1);
-                    int iBlockY = (iRandVal / (ChunkSection.SECTION_SIZE_Y * Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (ChunkSection.SECTION_SIZE_Y - 1) + s * ChunkSection.SECTION_SIZE_Y;
-                    int id = chunk.getBlockID(iBlockX, iBlockY, iBlockZ);
+                    final int iRandVal = this.updateLCG >> 2;
+                    final int iBlockX = iRandVal & (Chunk.CHUNK_SIZE_X - 1);
+                    final int iBlockZ = (iRandVal / (Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (Chunk.CHUNK_SIZE_Z - 1);
+                    final int iBlockY = (iRandVal / (ChunkSection.SECTION_SIZE_Y * Chunk.CHUNK_SIZE_Z * Chunk.CHUNK_SIZE_X)) & (ChunkSection.SECTION_SIZE_Y - 1) + s * ChunkSection.SECTION_SIZE_Y;
+                    final int id = chunk.getBlockID(iBlockX, iBlockY, iBlockZ);
                     if (Blocks.shouldTick[id]) {
                         Blocks.blocksList[id].updateTick(this, iBlockX + chunkBlockX, iBlockY, iBlockZ + chunkBlockZ, this.rand, true);
                     }
@@ -2134,7 +2096,7 @@ public class World implements MutableWorldSource {
 
         for (int i = 0; i < count; i++) {
             final @NotNull NextTickListEntry entry = this.tickNextTickList.first();
-            if (!all && entry.delay > runtime) {
+            if (!all && entry.delay > this.runtime) {
                 break;
             }
             this.tickNextTickList.remove(entry);
@@ -2156,7 +2118,7 @@ public class World implements MutableWorldSource {
         final int radius = 16;
         final @NotNull Random random = new Random();
 
-        TilePos randomPos = new TilePos();
+        final TilePos randomPos = new TilePos();
         for (int i = 0; i < ANIMATION_TICKS_PER_TICK; i++) {
             tilePos.add(
                 this.rand.nextInt(radius) - this.rand.nextInt(radius),
@@ -2176,16 +2138,16 @@ public class World implements MutableWorldSource {
         this.randomDisplayUpdates(new TilePos(x, y, z));
     }
 
-    public @NotNull List<@NotNull Entity> getEntitiesWithinAABBExcludingEntity(@Nullable Entity entity, @NotNull AABBdc aabb) {
+    public @NotNull List<@NotNull Entity> getEntitiesWithinAABBExcludingEntity(@Nullable final Entity entity, @NotNull final AABBdc aabb) {
         this.entityBuffer.clear();
-        int minX = MathHelper.floor((aabb.minX() - 2D) / Chunk.CHUNK_SIZE_X);
-        int maxX = MathHelper.floor((aabb.maxX() + 2D) / Chunk.CHUNK_SIZE_X);
-        int minZ = MathHelper.floor((aabb.minZ() - 2D) / Chunk.CHUNK_SIZE_Z);
-        int maxZ = MathHelper.floor((aabb.maxZ() + 2D) / Chunk.CHUNK_SIZE_Z);
+        final int minX = MathHelper.floor((aabb.minX() - 2D) / Chunk.CHUNK_SIZE_X);
+        final int maxX = MathHelper.floor((aabb.maxX() + 2D) / Chunk.CHUNK_SIZE_X);
+        final int minZ = MathHelper.floor((aabb.minZ() - 2D) / Chunk.CHUNK_SIZE_Z);
+        final int maxZ = MathHelper.floor((aabb.maxZ() + 2D) / Chunk.CHUNK_SIZE_Z);
         for (int x = minX; x <= maxX; x++) {
             for (int z = minZ; z <= maxZ; z++) {
-                if (isChunkLoaded(x, z)) {
-                    getChunkFromChunkCoords(x, z).getEntitiesWithin(entity, aabb, this.entityBuffer);
+                if (this.isChunkLoaded(x, z)) {
+                    this.getChunkFromChunkCoords(x, z).getEntitiesWithin(entity, aabb, this.entityBuffer);
                 }
             }
         }
@@ -2193,16 +2155,16 @@ public class World implements MutableWorldSource {
         return this.entityBuffer;
     }
 
-    public <T extends Entity> @NotNull List<@NotNull T> getEntitiesWithinAABB(@NotNull Class<T> ofClass, @NotNull AABBdc aabb) {
-        int minX = MathHelper.floor((aabb.minX() - 2D) / Chunk.CHUNK_SIZE_X);
-        int maxX = MathHelper.floor((aabb.maxX() + 2D) / Chunk.CHUNK_SIZE_X);
-        int minZ = MathHelper.floor((aabb.minZ() - 2D) / Chunk.CHUNK_SIZE_Z);
-        int maxZ = MathHelper.floor((aabb.maxZ() + 2D) / Chunk.CHUNK_SIZE_Z);
-        List<@NotNull T> entities = new ArrayList<>();
+    public <T extends Entity> @NotNull List<@NotNull T> getEntitiesWithinAABB(@NotNull final Class<T> ofClass, @NotNull final AABBdc aabb) {
+        final int minX = MathHelper.floor((aabb.minX() - 2D) / Chunk.CHUNK_SIZE_X);
+        final int maxX = MathHelper.floor((aabb.maxX() + 2D) / Chunk.CHUNK_SIZE_X);
+        final int minZ = MathHelper.floor((aabb.minZ() - 2D) / Chunk.CHUNK_SIZE_Z);
+        final int maxZ = MathHelper.floor((aabb.maxZ() + 2D) / Chunk.CHUNK_SIZE_Z);
+        final List<@NotNull T> entities = new ArrayList<>();
         for (int x = minX; x <= maxX; x++) {
             for (int z = minZ; z <= maxZ; z++) {
-                if (isChunkLoaded(x, z)) {
-                    getChunkFromChunkCoords(x, z).getEntitiesWithin(ofClass, aabb, entities);
+                if (this.isChunkLoaded(x, z)) {
+                    this.getChunkFromChunkCoords(x, z).getEntitiesWithin(ofClass, aabb, entities);
                 }
             }
 
@@ -2211,16 +2173,16 @@ public class World implements MutableWorldSource {
         return entities;
     }
 
-    public <T extends Entity> @NotNull List<@NotNull T> getEntitiesWithinRadius(@NotNull Class<T> ofClass, double x, double y, double z, double radius) {
-        int minX = MathHelper.floor(x - radius);
-        int minZ = MathHelper.floor(z - radius);
-        int maxX = MathHelper.ceil(x + radius);
-        int maxZ = MathHelper.ceil(z + radius);
-        List<@NotNull T> entities = new ArrayList<>();
+    public <T extends Entity> @NotNull List<@NotNull T> getEntitiesWithinRadius(@NotNull final Class<T> ofClass, final double x, final double y, final double z, final double radius) {
+        final int minX = MathHelper.floor(x - radius);
+        final int minZ = MathHelper.floor(z - radius);
+        final int maxX = MathHelper.ceil(x + radius);
+        final int maxZ = MathHelper.ceil(z + radius);
+        final List<@NotNull T> entities = new ArrayList<>();
         for (int bx = minX; bx <= maxX; bx++) {
             for (int bz = minZ; bz <= maxZ; bz++) {
-                if (isChunkLoaded(bx, bz)) {
-                    getChunkFromChunkCoords(bx, bz).getEntitiesWithinRadius(ofClass, x, y, z, radius, entities);
+                if (this.isChunkLoaded(bx, bz)) {
+                    this.getChunkFromChunkCoords(bx, bz).getEntitiesWithinRadius(ofClass, x, y, z, radius, entities);
                 }
             }
         }
@@ -2251,10 +2213,10 @@ public class World implements MutableWorldSource {
         this.updateTileEntityChunkAndSendToPlayer(new TilePos(x, y, z), tileEntity);
     }
 
-    public int countEntities(Class<?> clazz) {
+    public int countEntities(final Class<?> clazz) {
         int i = 0;
         for (int j = 0, entitiesSize = this.entities.size(); j < entitiesSize; j++) {
-            Entity entity = this.entities.get(j);
+            final Entity entity = this.entities.get(j);
             if (clazz.isAssignableFrom(entity.getClass())) {
                 i++;
             }
@@ -2263,16 +2225,16 @@ public class World implements MutableWorldSource {
         return i;
     }
 
-    public void addLoadedEntities(List<Entity> list) {
+    public void addLoadedEntities(final List<Entity> list) {
         this.entities.addAll(list);
         for (int i = 0, listSize = list.size(); i < listSize; i++) {
-            Entity entity = list.get(i);
-            obtainEntitySkin(entity);
+            final Entity entity = list.get(i);
+            this.obtainEntitySkin(entity);
         }
 
     }
 
-    public void unloadEntities(List<Entity> list) {
+    public void unloadEntities(final List<Entity> list) {
         this.entitiesToRemove.addAll(list);
     }
 
@@ -2312,18 +2274,18 @@ public class World implements MutableWorldSource {
         return this.canBlockIdBePlacedAt(id, new TilePos(x, y, z), ignoreCollision, side);
     }
 
-    public @Nullable Path getPathToEntity(Entity entity, Entity entityToTravelTo, float distance) {
-        int x1 = MathHelper.floor(entity.x);
-        int y2 = MathHelper.floor(entity.y);
-        int z1 = MathHelper.floor(entity.z);
-        int radius = (int) (distance + 16F);
-        int xMin = x1 - radius;
-        int yMin = y2 - radius;
-        int zMin = z1 - radius;
-        int xMax = x1 + radius;
-        int yMax = y2 + radius;
-        int zMax = z1 + radius;
-        ChunkCache chunkcache = new ChunkCache(this, xMin, yMin, zMin, xMax, yMax, zMax);
+    public @Nullable Path getPathToEntity(final Entity entity, final Entity entityToTravelTo, final float distance) {
+        final int x1 = MathHelper.floor(entity.x);
+        final int y2 = MathHelper.floor(entity.y);
+        final int z1 = MathHelper.floor(entity.z);
+        final int radius = (int) (distance + 16F);
+        final int xMin = x1 - radius;
+        final int yMin = y2 - radius;
+        final int zMin = z1 - radius;
+        final int xMax = x1 + radius;
+        final int yMax = y2 + radius;
+        final int zMax = z1 + radius;
+        final ChunkCache chunkcache = new ChunkCache(this, xMin, yMin, zMin, xMax, yMax, zMax);
         return (new PathFinder(chunkcache)).findPath(entity, entityToTravelTo, distance);
     }
 
@@ -2354,7 +2316,7 @@ public class World implements MutableWorldSource {
     }
 
     public boolean hasDirectSignal(final @NotNull TilePosc tilePos) {
-        TilePos queryPos = new TilePos();
+        final TilePos queryPos = new TilePos();
         for (final @NotNull Side side : Side.sides) {
             if (this.hasDirectSignal(tilePos.add(side.getDirection(), queryPos), side)) {
                 return true;
@@ -2416,29 +2378,29 @@ public class World implements MutableWorldSource {
         return this.hasNeighborSignal(new TilePos(x, y, z));
     }
 
-    public Player getClosestPlayerToEntity(Entity entity, double radius) {
-        return getClosestPlayer(entity.x, entity.y, entity.z, radius);
+    public Player getClosestPlayerToEntity(final Entity entity, final double radius) {
+        return this.getClosestPlayer(entity.x, entity.y, entity.z, radius);
     }
 
     /**
      * @param radius Radius around the point to search for a player, a radius less than 0 denotes searching for the closest player with 0 regard for radius
      */
-    public Player getClosestPlayer(double x, double y, double z, double radius) {
+    public Player getClosestPlayer(final double x, final double y, final double z, final double radius) {
         double closestDistance = Double.POSITIVE_INFINITY;
         Player entityplayer = null;
         if (radius < 0) {
 
-            for (Player entityPlayer1 : this.players) {
-                double currentDistance = entityPlayer1.distanceToSqr(x, y, z);
+            for (final Player entityPlayer1 : this.players) {
+                final double currentDistance = entityPlayer1.distanceToSqr(x, y, z);
                 if ((currentDistance < closestDistance)) {
                     closestDistance = currentDistance;
                     entityplayer = entityPlayer1;
                 }
             }
         } else {
-            double rSquared = radius * radius;
-            for (Player entityPlayer1 : this.players) {
-                double currentDistance = entityPlayer1.distanceToSqr(x, y, z);
+            final double rSquared = radius * radius;
+            for (final Player entityPlayer1 : this.players) {
+                final double currentDistance = entityPlayer1.distanceToSqr(x, y, z);
                 if (currentDistance < rSquared && (currentDistance < closestDistance)) {
                     closestDistance = currentDistance;
                     entityplayer = entityPlayer1;
@@ -2449,8 +2411,8 @@ public class World implements MutableWorldSource {
     }
 
 
-    public Player getPlayerEntityByName(String s) {
-        for (Player player : this.players) {
+    public Player getPlayerEntityByName(final String s) {
+        for (final Player player : this.players) {
             if (s.equals(player.username)) {
                 return player;
             }
@@ -2469,19 +2431,19 @@ public class World implements MutableWorldSource {
         return null;
     }
 
-    public void setChunkData(int x, int y, int z, int width, int height, int length, byte[] data) {
-        int minChunkX = Math.floorDiv(x, Chunk.CHUNK_SIZE_X);
-        int minChunkZ = Math.floorDiv(z, Chunk.CHUNK_SIZE_Z);
-        int maxChunkX = Math.floorDiv((x + width) - 1, Chunk.CHUNK_SIZE_X);
-        int maxChunkZ = Math.floorDiv((z + length) - 1, Chunk.CHUNK_SIZE_Z);
+    public void setChunkData(final int x, final int y, final int z, final int width, final int height, final int length, final byte[] data) {
+        final int minChunkX = Math.floorDiv(x, Chunk.CHUNK_SIZE_X);
+        final int minChunkZ = Math.floorDiv(z, Chunk.CHUNK_SIZE_Z);
+        final int maxChunkX = Math.floorDiv((x + width) - 1, Chunk.CHUNK_SIZE_X);
+        final int maxChunkZ = Math.floorDiv((z + length) - 1, Chunk.CHUNK_SIZE_Z);
         int startIndex = 0;
         int minY = y;
         int maxY = y + height;
         if (minY < 0) {
             minY = 0;
         }
-        if (maxY > getHeightBlocks()) {
-            maxY = getHeightBlocks();
+        if (maxY > this.getHeightBlocks()) {
+            maxY = this.getHeightBlocks();
         }
         for (int chunkX = minChunkX; chunkX <= maxChunkX; chunkX++) {
             int minX = x - chunkX * Chunk.CHUNK_SIZE_X;
